
Foreman - Bug #8726

remove deprecated hash_for_path_helper_path method calls

12/16/2014 08:29 AM - Tom Caspy

Status: New   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/unorthodoxgeek/forem

an/pull/1

  

Description

that's an odd, undocumented feature in rails 3, which was removed in rails 4.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

History

#1 - 12/16/2014 08:29 AM - Tom Caspy

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 12/16/2014 09:55 AM - Tom Caspy

- Status changed from New to Ready For Testing

- Pull request https://github.com/unorthodoxgeek/foreman/pull/1 added

- Pull request deleted ()

removing will be too time consuming, and will create numerous bugs, so let's just recreate those helpers using a monkey patch.

#3 - 12/18/2015 05:06 AM - Dominic Cleal

- Category set to Rails

- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

#7230 added the helper back in, so this still needs doing so we're not maintaining the workaround.
